unit SPECIAL;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DXDraws;

type
  TSpecialBox = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
    ast_s : TBitmap;
    ast_L : TBitmap;
    Station : TBitmap;
    Wormhole : TBitmap;
    spec : byte;
  end;

var
  SpecialBox: TSpecialBox;

implementation

uses MAIN, CHILDWIN;

{$R *.dfm}
{$R bmp.res}

procedure TSpecialBox.FormCreate(Sender: TObject);
begin
  ast_S    := TBitmap.Create;
  ast_L    := TBitmap.Create;
  station  := TBitmap.Create;
  wormhole := TBitmap.Create;
  ast_S.LoadFromResourceName(hInstance, 'ASTEROIDS_RES');
  ast_L.LoadFromResourceName(hInstance, 'ASTEROIDL_RES');
  station.LoadFromResourceName(hInstance, 'STATION_RES');
  wormhole.LoadFromResourceName(hInstance, 'WORMHOLE_RES');

  spec := 216;

  Left := (Mainform.Left + MainForm.Width) - Width;
  Top := (Mainform.Top + MainForm.Height) - MainForm.ClientHeight;
end;

procedure TSpecialBox.FormPaint(Sender: TObject);
begin
  Canvas.StretchDraw(bounds(25,25,16,16),ast_S);
  Canvas.StretchDraw(bounds(83,17,32,32),ast_L);
  Canvas.StretchDraw(bounds(133,1,64,64),station);
  Canvas.StretchDraw(bounds(199,1,64,64),wormhole);
end;

procedure TSpecialBox.FormHide(Sender: TObject);
begin
  MainForm.ViewSpecial1.Checked := false;
end;

procedure TSpecialBox.FormShow(Sender: TObject);
begin
  MainForm.ViewSpecial1.Checked := true;
end;

procedure TSpecialBox.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin

   case X of
     0..66 : spec := 216;
     67..132: spec := 217;
     133..198 : spec := 219;
     199..264 : spec := 220;
   end;

  MainForm.Tool := 4;
  MainForm.setStamp.Checked := true;
  if MainForm.MDIChildCount > 0 then
    (MainForm.ActiveMDIChild as TMDICHild).setSpecial(spec);
end;

end.
